Name: gnome-mlview
Version: 0.7.1
Release: alt2
%define oldname mlview

Summary: Mlview - Tree Oriented XML Editor for GNOME
Summary(ru_RU.KOI8-R): MlView  XML  GNOME

License: GPL
Group: Editors
Url: http://www.freespiders.org/projects/gmlview/

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: %oldname-%version.tar.bz2
Source1: %name-%version.ru.po
Source2: %name-16.png
Source3: %name-32.png
Source4: %name-48.png

#Patch0: %name-%version-fix.patch

Requires: libxml2 >= 2.6.6
Obsoletes: mlview

# Typical environment for GNOME program
Requires(post): GConf2
Requires(post,postun): scrollkeeper
Requires(post,postun): desktop-file-utils
BuildPreReq: GConf2
BuildPreReq: desktop-file-utils
BuildPreReq: menu-devel

# Automatically added by buildreq on Tue Nov 09 2004
BuildRequires: GConf2 ORBit2-devel esound fontconfig freetype2 gcc-c++ glib2-devel gnome-vfs2-devel hostinfo libGConf2-devel libart_lgpl-devel libatk-devel libbonobo2-devel libbonoboui-devel libeel2-devel libgail-devel libglade2-devel libgnome-devel libgnome-keyring libgnomecanvas-devel libgnomeui-devel libgtk+2-devel libpango-devel libpopt-devel libstdc++-devel libxml2-devel libxslt-devel perl-XML-Parser pkgconfig xorg-x11-libs zlib-devel

%description
gnome-mlview (Gnome Markup language Viewer) is an XML editor for GNOME.
It include support to view, edit, validate and save xml document by graphical
manipulation the xml Document Object Model.

%description -l ru_RU.KOI8-R
gnome-mlview (Gnome Markup language Viewer) --   XML  GNOME.
  , ,   
 XML ԣ     
 XML.

%prep
%setup -q -n %oldname-%{version}
#%patch -p0

cp -f %SOURCE1 po/ru.po

%build
%configure --disable-schemas-install
%make_build

%install 

%makeinstall

#icons entries
%__install -D %SOURCE2 $RPM_BUILD_ROOT%_miconsdir/%name.png
%__install -D %SOURCE3 $RPM_BUILD_ROOT%_iconsdir/%name.png
%__install -D %SOURCE4 $RPM_BUILD_ROOT%_liconsdir/%name.png

%__mkdir_p %buildroot%_menudir

freedesktop2menu.pl %oldname "Applications/%group" \
	%buildroot%_datadir/applications/%oldname.desktop \
	%buildroot%_menudir/%oldname

%__ln_s %_bindir/mlv $RPM_BUILD_ROOT%_bindir/%name

%find_lang %oldname --with-gnome

%post
%gconf2_install %name
%update_menus
%update_scrollkeeper
%update_desktopdb

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall %name
fi

%postun
%clean_menus
%clean_scrollkeeper
%clean_desktopdb

%files -f %oldname.lang
%_libdir/*.so*
%_bindir/mlv
%_bindir/%name
%_menudir/*
%_datadir/%oldname
%_sysconfdir/gconf/schemas/*
%_datadir/applications/*
#%_datadir/pixmaps/*
%_iconsdir/*.png
%_iconsdir/mini/*.png
%_iconsdir/large/*.png

%changelog
* Tue Nov 09 2004 Vitaly Lipatov <lav@altlinux.ru> 0.7.1-alt2
- update buildreq
- spec file comformed to GNOME program packaging policy


* Mon Nov 08 2004 Vitaly Lipatov <lav@altlinux.ru> 0.7.1-alt1
- new version
- update russian translation

* Sun Jun 06 2004 Vitaly Lipatov <lav@altlinux.ru> 0.6.3-alt1
- new version; but wait 0.6.4 release if possible
- it release can't create new files; also please save document before exiting

* Sun Nov 30 2003 Vitaly Lipatov <lav@altlinux.ru> 0.6.1-alt1
- new version
- adapted spec

* Thu Sep 11 2003 Vitaly Lipatov <lav@altlinux.ru> 0.6.0-alt1
- new version
- update ru.po

* Tue Jan 07 2003 Vitaly Lipatov <lav@altlinux.ru> 0.0.3-alt0.3.1rc2
- first release for Sisyphus
- new rc2
- add post/postun sections
